;;;Use this example with the .NET changeArgs LispFunction
(defun testchangeArgs (dToChange / myDoubles d1 str str2)
  (setq myDoubles(changeArgs 20 dToChange 30)); send the arguments to .NET
  (Setq d1(nth 0 myDoubles));get the first argument returned
  (setq str(strcat ".NET changed " (rtos dToChange)))
  (setq str2(strcat " to " (rtos d1)))
  (princ (strcat str str2))	
  (princ)
  )

; Use the getId .NET function to get an ObjectId then highlight that object
(defun c:getMyId ( / id obj )
(vl-load-com)
   ; the .NET function selects an entity and returns an ObjectId
   (setq id   (getId)
	 ent (vlax-ename->vla-object (nth 0 id));the 0 element is an ename
	 )
  (vla-highlight ent :vlax-true); highlight the entity using ActiveX call 	
  (princ)
)

; Prompt for Viewport, layer, color and Linetype
(defun c:changevp ()
    (setq ename-ViewPort(car (entsel "\nPick a Viewport:")))
    (print)
    (setq layName(getstring "Enter layer to override for this viewport: "))
    (setq col(getint "Enter color for this viewport: "))
    (setq ltName(getstring "Enter linetype to override for this viewport: "))
    (princ (Changevpsettings ename-ViewPort layName col ltName))
    (print)	
    (command "REGENALL")
    (princ)
  )

;Prompt only for viewport, set layer1 to hidden and color 5
(defun c:changevpColorAndLineType ()
    (setq ename-ViewPort(car (entsel "\nPick a Viewport: ")))
    (print)
    (princ (Changevpsettings ename-ViewPort "layer1" "hidden" 5))
    (print)	
    (command "REGENALL")
    (princ)
  )
;Prompt only for viewport, set layer1 to use color 5
(defun c:changevpColor ()
    (setq ename-ViewPort(car (entsel "\nPick a Viewport: ")))
    (print)
    (princ (Changevpsettings ename-ViewPort "layer1" 255))
    (print)	
    (command "REGENALL")
    (princ)
  )

;Prompt only for viewport, set layer1 to use Divide linetype
(defun c:changevpLinetype ()
    (setq ename-ViewPort(car (entsel "\nPick a Viewport: ")))
    (print)
    (princ (Changevpsettings ename-ViewPort "Layer1" "Divide"))
    (print)	
    (command "REGENALL")
    (princ)
  )